Bug 180325 - [maintainer-update] Add OpenGL support to games/crossfire-client
Summary: [maintainer-update] Add OpenGL support to games/crossfire-client
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-05 16:40 UTC by Kevin Zheng
Modified: 2013-07-06 12:30 UTC (History)
0 users

See Also:


Attachments
file.diff (2.35 KB, patch)
2013-07-05 16:40 UTC, Kevin Zheng
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Zheng 2013-07-05 16:40:01 UTC
 - Trim Makefile header
 - Remove indefinite article from COMMENT
 - Update pkg-descr from website
 - Add support for OpenGL map rendering
 - Depend on SDL_mixer in case user wants to have his own sound support

Fix: Apply the attached patch.

Patch attached with submission follows:
Comment 1 William Grzybowski freebsd_committer 2013-07-06 12:01:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

I'll take it.
Comment 2 William Grzybowski freebsd_committer 2013-07-06 12:24:53 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2013-07-06 12:24:55 UTC
Author: wg
Date: Sat Jul  6 11:24:41 2013
New Revision: 322384
URL: http://svnweb.freebsd.org/changeset/ports/322384

Log:
  games/crossfire-client: fix GL dependency
  
  - Add USE_GL
  - Trim Makefile header
  - Update pkg-descr from website
  - Remove indefinite article from COMMENT
  
  PR:		ports/180325
  Submitted by:	Kevin Zheng <kevinz5000 gmail.com> (maintainer)

Modified:
  head/games/crossfire-client/Makefile
  head/games/crossfire-client/pkg-descr

Modified: head/games/crossfire-client/Makefile
==============================================================================
--- head/games/crossfire-client/Makefile	Sat Jul  6 10:38:13 2013	(r322383)
+++ head/games/crossfire-client/Makefile	Sat Jul  6 11:24:41 2013	(r322384)
@@ -1,28 +1,29 @@
-# New ports collection makefile for:	crossfire-client
-# Date created:		1996-10-27
-# Whom:			Andreas Klemm <andreas@klemm.gtn.com>
-#
+# Created by: Andreas Klemm <andreas@klemm.gtn.com>
 # $FreeBSD$
-#
 
 PORTNAME=	crossfire-client
 PORTVERSION=	1.70.0
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	games
 MASTER_SITES=	SF/crossfire/crossfire-${PORTVERSION}
 
 MAINTAINER=	kevinz5000@gmail.com
-COMMENT=	A cooperative multiplayer graphical RPG and adventure game
+COMMENT=	Cooperative multiplayer graphical RPG and adventure game
 
 LICENSE=	GPLv2
 LICENSE_FILE=	${WRKSRC}/COPYING
 
 LIB_DEPENDS=	curl:${PORTSDIR}/ftp/curl
 
-USE_GNOME=	gtk20 libglade2
-USE_SDL=	image sdl
 GNU_CONFIGURE=	yes
-CONFIGURE_ARGS+=	--disable-alsa
+USE_GL=		glut
+USE_GNOME=	gtk20 libglade2
+USE_SDL=	sdl image mixer
+
+CONFIGURE_ARGS+=	--disable-alsa --disable-alsa9
+CPPFLAGS+=	-I${LOCALBASE}/include
+LDFLAGS+=	-L${LOCALBASE}/lib
+MAKE_JOBS_SAFE=	yes
 
 MAN6=	crossfire-client-gtk2.6
 
@@ -34,10 +35,10 @@ post-patch:
 
 post-install:
 	${CP} ${WRKSRC}/pixmaps/48x48.png ${WRKSRC}/pixmaps/crossfire-client.png
-	${MKDIR} ${PREFIX}/share/applications
+	@${MKDIR} ${PREFIX}/share/applications
 	${INSTALL_DATA} ${WRKSRC}/gtk-v2/crossfire-client.desktop \
 		${PREFIX}/share/applications
-	${MKDIR} ${PREFIX}/share/pixmaps
+	@${MKDIR} ${PREFIX}/share/pixmaps
 	${INSTALL_DATA} ${WRKSRC}/pixmaps/crossfire-client.png \
 		${PREFIX}/share/pixmaps
 

Modified: head/games/crossfire-client/pkg-descr
==============================================================================
--- head/games/crossfire-client/pkg-descr	Sat Jul  6 10:38:13 2013	(r322383)
+++ head/games/crossfire-client/pkg-descr	Sat Jul  6 11:24:41 2013	(r322384)
@@ -1,10 +1,8 @@
-Crossfire is a highly graphical role-playing adventure game with
-characteristics reminiscent of rogue, nethack, omega, and gauntlet.
-It has multiplayer capability and presently runs under X11.
-
-Client for playing the new client/server based version of Crossfire.
-This package allows you to connect to Crossfire servers around the
-world.  You do not need install the Crossfire server in order to
-use this package.
+Crossfire is an open-source, cooperative multi-player graphical RPG and
+adventure game. Since its initial release, Crossfire has grown to encompass
+over 150 monsters, about 3000 maps to explore, an elaborate magic system, 13
+races, 15 character classes, a system of skills, and many artifacts and
+treasures.  Crossfire is based in a medieval fantasy world and is similar to
+other games of this genre.
 
 WWW: http://crossfire.real-time.com/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"